Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Class Public2

    java.lang.Object
      org.apache.xmlbeans.impl.store.Public2

    public final class Public2

extends java.lang.Object

Constructor Summary
`Public2()`

Method Summary
`static XmlCursor` | `_newStore(Locale l)`
`static java.lang.String` | `compilePath(java.lang.String path, XmlOptions options)`
`static void` | `dump(org.apache.xmlbeans.impl.store.DomImpl.Dom d)`
`static void` | `dump(Node n)`
`static void` | `dump(java.io.PrintStream o, org.apache.xmlbeans.impl.store.DomImpl.Dom d)`
`static void` | `dump(java.io.PrintStream o, Node n)`
`static void` | `dump(java.io.PrintStream o, XmlCursor c)`
`static void` | `dump(java.io.PrintStream o, XmlObject x)`
`static void` | `dump(XmlCursor c)`
`static void` | `dump(XmlObject x)`
`static XmlCursor` | `getCursor(Node n)`
`static DOMImplementation` | `getDomImplementation()`
`static DOMImplementation` | `getDomImplementation(Saaj saaj)`
`static Node` | `getNode(javax.xml.stream.XMLStreamReader s)`
`static javax.xml.stream.XMLStreamReader` | `getStream(Node n)`
`static XmlCursor` | `newStore()`
`static XmlCursor` | `newStore(Saaj saaj)`
`static Document` | `parse(java.io.InputStream is, Saaj saaj)`
`static Document` | `parse(java.io.InputStream is, XmlOptions options)`
`static Document` | `parse(java.lang.String s)`
`static Document` | `parse(java.lang.String s, Saaj saaj)`
`static Document` | `parse(java.lang.String s, XmlOptions options)`
`static java.lang.String` | `save(Node n)`
`static void` | `save(Node n, java.io.OutputStream os, XmlOptions options)`
`static java.lang.String` | `save(Node n, XmlOptions options)`
`static java.lang.String` | `save(XmlCursor c)`
`static java.lang.String` | `save(XmlCursor xc, XmlOptions options)`
`static void` | `setSync(Document doc, boolean sync)`
`static void` | `test()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Public2

    public Public2()

Method Detail

### setSync

    public static void setSync(Document doc,
                               boolean sync)

### compilePath

    public static java.lang.String compilePath(java.lang.String path,
                                               XmlOptions options)

### getDomImplementation

    public static DOMImplementation getDomImplementation()

### getDomImplementation

    public static DOMImplementation getDomImplementation(Saaj saaj)

### parse

    public static Document parse(java.lang.String s)
                          throws XmlException

  Throws:
    `XmlException`

### parse

    public static Document parse(java.lang.String s,
                                 XmlOptions options)
                          throws XmlException

  Throws:
    `XmlException`

### parse

    public static Document parse(java.lang.String s,
                                 Saaj saaj)
                          throws XmlException

  Throws:
    `XmlException`

### parse

    public static Document parse(java.io.InputStream is,
                                 XmlOptions options)
                          throws XmlException,
                                 java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static Document parse(java.io.InputStream is,
                                 Saaj saaj)
                          throws XmlException,
                                 java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### getNode

    public static Node getNode(javax.xml.stream.XMLStreamReader s)

### getStream

    public static javax.xml.stream.XMLStreamReader getStream(Node n)

### save

    public static java.lang.String save(Node n)

### save

    public static void save(Node n,
                            java.io.OutputStream os,
                            XmlOptions options)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public static java.lang.String save(Node n,
                                        XmlOptions options)

### save

    public static java.lang.String save(XmlCursor c)

### save

    public static java.lang.String save(XmlCursor xc,
                                        XmlOptions options)

### newStore

    public static XmlCursor newStore()

### newStore

    public static XmlCursor newStore(Saaj saaj)

### _newStore

    public static XmlCursor _newStore(Locale l)

### getCursor

    public static XmlCursor getCursor(Node n)

### dump

    public static void dump(java.io.PrintStream o,
                            org.apache.xmlbeans.impl.store.DomImpl.Dom d)

### dump

    public static void dump(java.io.PrintStream o,
                            Node n)

### dump

    public static void dump(java.io.PrintStream o,
                            XmlCursor c)

### dump

    public static void dump(java.io.PrintStream o,
                            XmlObject x)

### dump

    public static void dump(org.apache.xmlbeans.impl.store.DomImpl.Dom d)

### dump

    public static void dump(Node n)

### dump

    public static void dump(XmlCursor c)

### dump

    public static void dump(XmlObject x)

### test

    public static void test()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD